cURL
curl --request POST \
--url https://api.spotflow.co/api/v1/transfers/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'category=<string>' \
--form 'narration=<string>'import requests
url = "https://api.spotflow.co/api/v1/transfers/bulk"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"category": "<string>",
"narration": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('category', '<string>');
form.append('narration', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.spotflow.co/api/v1/transfers/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reference": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
"spotflowreference": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
"amount": 0,
"currency": "NGN",
"transferMode": "7706438396",
"destination": {
"accountNumber": "7706438396",
"accountName": "Quantum Technologies",
"bankCode": "NGN100",
"branchCode": "NGN100",
"bankName": "Testbank MFB"
},
"narrations": "string",
"status": "string"
}{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"error": "Unauthorized",
"message": "invalid_credentials",
"status": 401
}Bulk Disbursements
Create Bulk Disbursement
You can use this endpoint to perform bulk bank account transfer to multiple bank accounts.
POST
/
transfers
/
bulk
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
CSV file containing bulk transfer data. Must be a .csv file.
Specify a unique category of your choice for your company to track a transaction for later reconciliation.
Select the currency for the transfer. This is in our supported currency which is currently only NGN and GHS.
Available options:
NGN, GHS This is optional information for you to give details about the reason for the transfer
Response
Bulk transfer created successfully.
Example:
"c1fba25a-a36b-479c-b17d-64dbaf3ba32c"
Example:
"c1fba25a-a36b-479c-b17d-64dbaf3ba32c"
Example:
0
Example:
"NGN"
Example:
"7706438396"
Show child attributes
Show child attributes
Example:
"string"
Example:
"string"
⌘I

